FactoryBot.define do
  factory :crew, class: Ecom::Core::Crew do
    name { FFaker::Name.name }
    address { FFaker::Name.name }
    phone { FFaker::Name.name }
    email { FFaker::Name.name }
    qualification { FFaker::Name.name }
    employment { Ecom::Core::Crew::PERMANENT }
    wage { FFaker::Random.rand(1000..5000) }
    wage_in_words { FFaker::Name.name }
    employment_date { Date.today - 1 }
    sub_contracted { false }
    photo_url { FFaker::Name.name }
    guarantor_name { FFaker::Name.name }
    guarantor_phone { FFaker::Name.name }
    active { true }

    association :crew_type
  end
end
