FactoryBot.define do
  factory :equipment, class: Ecom::Core::Equipment do
    sequence :name do |n|
      "EQName#{n}"
    end
    description { FFaker::Name.name }
    minimum_acquisition_time { 10 }
    brands { ['Brand I', 'Brand II', 'Brand III'] }
    association :equipment_category
  end
end
