FactoryBot.define do
  factory :maintenance_service_order, class: Ecom::Core::MaintenanceServiceOrder do
    title { FFaker::Name.name }
    description { FFaker::Name.name }
    start_date { Date.yesterday }
    end_date { Date.today }
    approved { false }
    status { 'New' }
    remark { FFaker::Name.name }
    current_reading { 1.5 }
    association :equipment_item
    association :maintenance_type
    association :prepared_by, factory: :user
    association :approved_by, factory: :user
  end
end
