FactoryBot.define do
  factory :resource_requisition_item, class: Ecom::Core::ResourceRequisitionItem do
    association :resource_requisition
    association :resource_type
    requested_quantity { 2000 }
    association :requested_quantity_measurement_unit, factory: :measurement_unit
    association :awaiting_quantity_measurement_unit, factory: :non_si_measurement_unit
    awaiting_quantity { 1 }
    due_date { Time.now + 1.week }
    status { 'Pending' }
  end
end
