FactoryBot.define do
  factory :work_package, class: Ecom::Core::WorkPackage do
    sequence :code do |n|
      "WPCode#{n}"
    end
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    start_date { Date.yesterday }
    end_date { Date.today }
    location { FFaker::Name.name }
    budget { 1000 }
    resource_required { FFaker::Name.name }
    concerns { FFaker::Name.name }
    association :site_engineer, factory: :user
    association :project_manager, factory: :user
    association :project
  end
end
