FactoryBot.define do
  factory :work_product, class: Ecom::Core::WorkProduct do
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    design_reference { FFaker::Guid.guid }
    association :product_group
    association :work_product_template
    association :project
    remark { FFaker::Name.name }
    start_date { 1.day.ago }
    completion_date { Time.now.next_week }
  end
end
