FactoryBot.define do
  factory :crew_contract, class: 'Ecom::Core::CrewContract' do
    from { Date.yesterday }
    to { Date.tomorrow }
    place_of_work { FFaker::Name.name }
    probation_period { 45 }
    contract_no { FFaker::Name.name }
    contract_type { FFaker::Name.name }
    contract_signed { false }
    date_contract_signed { Date.today }
    association :crew
    association :crew_type
    wage { 75.0 }
    wage_in_words { 'Seventy five birr only' }
    status { :draft }

    factory :active_crew_contract do
      status { :in_effect }
    end

    factory :void_crew_contract do
      status { :void }
    end
  end
end
