FactoryBot.define do
  factory :equipment_item, class: Ecom::Core::EquipmentItem do
    name { FFaker::Name.name }
    description { FFaker::Name.name }
    status { Ecom::Core::EquipmentItem::READY }
    duty_status { Ecom::Core::EquipmentItem::AVAILABLE }
    serial_number { FFaker::Name.name }
    brand { FFaker::Name.name }
    item_model { FFaker::Name.name }
    purchase_price { 1000 }
    purchase_date { Date.today }
    license_fee { 200 }
    tax { 500 }
    association :equipment
    association :country
    association :current_location, factory: :equipment_location
  end
end
