FactoryBot.define do
  factory :equipment_valuation, class: Ecom::Core::EquipmentValuation do
    equipment_value { 1500 }
    residual_value { 150 }
    work_hrs_per_yr { 150 }
    life_year { 15 }
    insurance_premium { 100 }
    fuel_cost_per_hr { 1.5 }
    oil_cost { 10 }
    repair_rate { 1 }
    rate_of_return { 3 }
    current { false }
    association :equipment_item
  end
end
