FactoryBot.define do
  factory :job_card, class: Ecom::Core::JobCard do
    code { FFaker::Name.name }
    start_date { Date.yesterday }
    due_date { Date.tomorrow }
    checkin_date { Date.yesterday }
    checkout_date { Date.tomorrow }
    association :maintenance_service_order
    association :service_provider, factory: :equipment_location
    association :checkout_by, factory: :user
    association :checkout_to, factory: :equipment_location
    association :maintenance_status
    association :checkin_by, factory: :user
    association :checkin_to, factory: :equipment_location
    association :prepared_by, factory: :user
  end
end
