FactoryBot.define do
  factory :measurement_unit, class: Ecom::Core::MeasurementUnit do
    name { 'Meter' }
    abbreviation { 'm' }
    physical_quantity { Ecom::Core::MeasurementUnit::LENGTH }
    is_si_unit { true }
    conversion_factor { 1 }
    system_of_measurement { Ecom::Core::MeasurementUnit::METRIC }

    factory :non_si_measurement_unit do
      name { 'kilometer' }
      is_si_unit { false }
      conversion_factor { 0.001 }
    end
  end
end
