FactoryBot.define do
  factory :unit_cost, class: Ecom::Core::UnitCost do
    association :resource_type
    quantity { 55 }
    association :measurement_unit
    price { 100 }
    association :currency
    effective_date { Time.now }
    active { true }
    utilization_factor { 1 }
    association :set_by, factory: :user
  end
end
